List Kubernetes Cluster Backups

List Kubernetes Cluster Backups

API code: LIST_KUBERNETES_CLUSTER_BACKUPS
Pre-authorized role(s): TENANT_USER | TENANT_ADMIN
Platform(s): AMAZON | OSIS | CLOUDIAN | ECS

Request
URI
GET
https://{api_host}//api/v1/k8s/clusters/{clusterId}/backups
COPY
Path Parameters
string
clusterId
Required

The ID of the protected Kubernetes cluster.

Query Parameters
integer
offset
Optional

The start index of items to return for the current page.

integer
limit
Optional

The max count of items to return for the current page.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PageBackup of type(s) */*
{
    "items": [
        {
            "metadata": {
                "name": "string",
                "namespace": "string",
                "resourceVersion": "string"
            },
            "spec": {
                "includedNamespaces": [
                    "string"
                ],
                "excludedNamespaces": [
                    "string"
                ],
                "includedResources": [
                    "string"
                ],
                "excludedResources": [
                    "string"
                ],
                "includeClusterResources": "string",
                "orderedResources": "string",
                "snapshotVolumes": false,
                "ttl": "string",
                "storageLocation": "string",
                "volumeSnapshotLocations": [
                    "string"
                ]
            },
            "status": {
                "expiration": "string",
                "phase": "string",
                "validationErrors": [
                    "string"
                ],
                "startTimestamp": "string",
                "completionTimestamp": "string",
                "warnings": 0,
                "errors": 0,
                "totalItems": 0,
                "itemsBackedUp": 0
            }
        }
    ],
    "pageInfo": {
        "offset": 0,
        "limit": 0,
        "total": 0
    }
}
array of Backup
items
Optional

items

pageInfo
Optional

pageInfo